Bug 1001236 - roundup : duplicate documentation files / potentially conflicting
roundup : duplicate documentation files / potentially conflicting
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: roundup (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul P Komkoff Jr
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
 
Reported: 2013-08-26 15:53 EDT by Michael Schwendt
Modified: 2013-12-12 18:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-12 18:16:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2013-08-26 15:53:59 EDT
Duplicate documentation files have been detected in the package
builds for Rawhide and Fedora 20. The likely cause is the unversioned
docdirs change in Fedora 20.

If your package %installs documentation files into %{_docdir}/%{name}/ to
store them in a subpackage, this now conflicts with using the %doc
macro in the base package. Since Fedora 20, the %doc macro installs into
the unversioned %{_docdir}/%{name}/ and includes everything in that
directory. One obvious fix is to decide between either using %doc or
installing into %{_docdir}/%{name}/ manually as explained in the
Packaging tricks Wiki section (for past dist releases and the versioned
docdir).

General discussion of this problem:
https://fedorahosted.org/fpc/ticket/338

Further information:
http://fedoraproject.org/wiki/Changes/UnversionedDocdirs
https://fedoraproject.org/wiki/Packaging_tricks#Installing_documentation:_2_paths

[semi-automated bug report]

[...]

=> roundup-1.4.21-2.fc20.src.rpm
=> roundup-1.4.21-2.fc20.noarch in fedora-development-i386
  File conflict with: roundup-doc-1.4.21-2.fc20.noarch
     /usr/share/doc/roundup/COPYING.txt
     /usr/share/doc/roundup/README.Fedora
     /usr/share/doc/roundup/html/FAQ.html
     /usr/share/doc/roundup/html/acknowledgements.html
     /usr/share/doc/roundup/html/admin_guide.html
     /usr/share/doc/roundup/html/announcement.html
     /usr/share/doc/roundup/html/customizing.html
     /usr/share/doc/roundup/html/debugging.html
     /usr/share/doc/roundup/html/design.html
     /usr/share/doc/roundup/html/developers.html
     /usr/share/doc/roundup/html/features.html
     /usr/share/doc/roundup/html/genindex.html
     /usr/share/doc/roundup/html/glossary.html
     /usr/share/doc/roundup/html/implementation.html
     /usr/share/doc/roundup/html/index.html
     /usr/share/doc/roundup/html/installation.html
     /usr/share/doc/roundup/html/license.html
     /usr/share/doc/roundup/html/mysql.html
     /usr/share/doc/roundup/html/objects.inv
     /usr/share/doc/roundup/html/overview.html
     /usr/share/doc/roundup/html/postgresql.html
     /usr/share/doc/roundup/html/search.html
     /usr/share/doc/roundup/html/searchindex.js
     /usr/share/doc/roundup/html/security.html
     /usr/share/doc/roundup/html/tracker_templates.html
     /usr/share/doc/roundup/html/upgrading.html
     /usr/share/doc/roundup/html/user_guide.html
     /usr/share/doc/roundup/html/whatsnew-0.7.html
     /usr/share/doc/roundup/html/whatsnew-0.8.html
     /usr/share/doc/roundup/html/xmlrpc.html

=> roundup-1.4.21-2.fc20.src.rpm
=> roundup-doc-1.4.21-2.fc20.noarch in fedora-development-i386
  File conflict with: roundup-1.4.21-2.fc20.noarch
     /usr/share/doc/roundup/COPYING.txt
     /usr/share/doc/roundup/README.Fedora
     /usr/share/doc/roundup/html/FAQ.html
     /usr/share/doc/roundup/html/acknowledgements.html
     /usr/share/doc/roundup/html/admin_guide.html
     /usr/share/doc/roundup/html/announcement.html
     /usr/share/doc/roundup/html/customizing.html
     /usr/share/doc/roundup/html/debugging.html
     /usr/share/doc/roundup/html/design.html
     /usr/share/doc/roundup/html/developers.html
     /usr/share/doc/roundup/html/features.html
     /usr/share/doc/roundup/html/genindex.html
     /usr/share/doc/roundup/html/glossary.html
     /usr/share/doc/roundup/html/implementation.html
     /usr/share/doc/roundup/html/index.html
     /usr/share/doc/roundup/html/installation.html
     /usr/share/doc/roundup/html/license.html
     /usr/share/doc/roundup/html/mysql.html
     /usr/share/doc/roundup/html/objects.inv
     /usr/share/doc/roundup/html/overview.html
     /usr/share/doc/roundup/html/postgresql.html
     /usr/share/doc/roundup/html/search.html
     /usr/share/doc/roundup/html/searchindex.js
     /usr/share/doc/roundup/html/security.html
     /usr/share/doc/roundup/html/tracker_templates.html
     /usr/share/doc/roundup/html/upgrading.html
     /usr/share/doc/roundup/html/user_guide.html
     /usr/share/doc/roundup/html/whatsnew-0.7.html
     /usr/share/doc/roundup/html/whatsnew-0.8.html
     /usr/share/doc/roundup/html/xmlrpc.html
Comment 1 Fedora Update System 2013-12-06 04:38:36 EST
libexplain-1.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libexplain-1.2-3.fc20
Comment 2 Fedora Update System 2013-12-06 14:59:48 EST
Package libexplain-1.2-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libexplain-1.2-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22845/libexplain-1.2-3.fc20
then log in and leave karma (feedback).
Comment 3 Michael Schwendt 2013-12-12 18:16:09 EST
Fixed in Rawhide, leaving F-20 up to maintainers.

Note You need to log in before you can comment on or make changes to this bug.